Aerodrome Get LP Positions
Discovers LP positions for a wallet on Aerodrome Finance (Base). Returns pool details, token amounts, staked/unstaked breakdown, and pending AERO emissions. Use before add/remove liquidity or gauge operations.
카탈로그 액션 블록체인 데이터 지갑
Aerodrome Finance(Base)에서 지갑의 LP 포지션을 조회합니다. 풀 세부 정보, 토큰 수량, 스테이킹/언스테이킹 내역 및 미청구 AERO 보상을 반환합니다. 유동성 추가/제거 또는 게이지 작업 전에 사용하십시오.
한눈에 보기
| 필드 | 값 |
|---|---|
| 액션 ID | aerodrome-get-lp-positions |
| 카테고리 | 블록체인 데이터 |
| 커넥터 | wallet |
| 가스 필요 | 아니오 |
| 자금 이동 | 선언되지 않음 |
| 태그 | defi, liquidity, base, onchain, read |
페이로드 스키마
| 필드 | 유형 | 필수 | 설명 |
|---|---|---|---|
chainId | number | 예 | 체인 ID. 지원: Base (8453) |
결과 스키마
| 필드 | 유형 | 필수 | 설명 |
|---|---|---|---|
totalPositions | number | 예 | - |
positions | array | 예 | - |
예제
json{ "type": "aerodrome-get-lp-positions", "payload": { "chainId": 8453 }, "children": [], "connector": { "type": "wallet", "id": "conn_wallet" }}
bashcurl -X POST "https://api.b3os.org/v1/actions/aerodrome-get-lp-positions/test" \ -H "Authorization: Bearer YOUR_API_KEY" \ -H "Content-Type: application/json" \ -d '{ "inputs": { "chainId": 8453 }}'
페이로드 필드는 값이 트리거, 이전 노드 또는 재사용 가능한 워크플로우 속성에서 가져와야 하는 경우 {{$trigger.body.amount}}, {{$nodes.fetch.result.price}}, {{$props.asset}}와 같은 워크플로우 표현식을 사용할 수 있습니다.
